# Manage & Operate › Logs Data Platform › OpenSearch › OpenSearch Dashboards API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Manage & Operate product's sections: https://developers.eu.ovhcloud.com/reference/manage-operate/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 6 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/manage-operate/logs-data-platform/opensearch/opensearch-dashboards.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/manage-operate/logs-data-platform/opensearch/opensearch-dashboards.json?format=openapi3

## Operations

- `GET /dbaas/logs/{serviceName}/output/opensearch/osd` — List OpenSearch Dashboards
- `GET /dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}` — Get an OpenSearch Dashboards instance
- `GET /dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}/url` — List OpenSearch Dashboards URLs
- `POST /dbaas/logs/{serviceName}/output/opensearch/osd` — Create an OpenSearch Dashboards instance
- `DELETE /dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}` — Delete an OpenSearch Dashboards instance
- `PUT /dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}` — Update an OpenSearch Dashboards instance

## List OpenSearch Dashboards

`GET /1.0/dbaas/logs/{serviceName}/output/opensearch/osd`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#get-dbaas-logs-servicename-output-opensearch-osd

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/get`

Returns the OpenSearch Dashboards of the Logs Data Platform service.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `iamTags` | query | object |  | Filter resources on IAM tags |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string (uuid)[] | successful operation |
| 404 | object | Error 404 response |

```json
[
  "00000000-0000-0000-0000-000000000000"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/dbaas/logs/{serviceName}/output/opensearch/osd")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/dbaas/logs/{serviceName}/output/opensearch/osd");

print_r($result);
?>
```

## Get an OpenSearch Dashboards instance

`GET /1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#get-dbaas-logs-servicename-output-opensearch-osd-osdid

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/get`

Returns the OpenSearch Dashboards instance.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `osdId` | path | string (uuid) | yes | Osd ID |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | dbaas.logs.OsdWithIAM | successful operation |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `createdAt` | string (date-time) | read-only | OpenSearch Dashboards creation |
| `deliveryStatus` | dbaas.logs.DeliveryStatusEnum | read-only | Status of the delivering process — one of `DELETING`, `DELIVERING`, `READY`, `UPDATING` |
| `description` | string | read-only | OpenSearch Dashboards description |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `isEditable` | boolean | read-only | Indicates if you are allowed to edit entry |
| `name` | string | read-only | OpenSearch Dashboards name |
| `osdId` | string (uuid) | read-only | OpenSearch Dashboards ID |
| `updatedAt` | string (date-time) | read-only | OpenSearch Dashboards last update |

```json
{
  "createdAt": "2024-01-01T12:00:00Z",
  "deliveryStatus": "DELETING",
  "description": "string",
  "iam": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "state": "EXPIRED",
    "tags": {
      "key": "string"
    },
    "urn": "string"
  },
  "isEditable": true,
  "name": "string",
  "osdId": "00000000-0000-0000-0000-000000000000",
  "updatedAt": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}");

print_r($result);
?>
```

## List OpenSearch Dashboards URLs

`GET /1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}/url`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#get-dbaas-logs-servicename-output-opensearch-osd-osdid-url

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/url/get`

Returns the OpenSearch Dashboards URLs of the Logs Data Platform service.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `osdId` | path | string (uuid) | yes | Osd ID |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | dbaas.logs.Url[] | successful operation |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `address` | string | read-only | Web URI |
| `type` | dbaas.logs.UrlTypeEnum | read-only | Service type — one of `CONSOLE`, `ELASTICSEARCH_API`, `GRAYLOG_API`, `GRAYLOG_WEBUI`, `HTTP_GELF`, `HTTP_TLS_GELF`, `KIBANA_WEBUI`, `OPENSEARCH_API`, `OSD_WEBUI`, `PROMETHEUS_API`, `SERVICE_DOMAIN`, `TCP_BEATS`, … |

```json
[
  {
    "address": "string",
    "type": "CONSOLE"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}/url" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}/url")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}/url");

print_r($result);
?>
```

## Create an OpenSearch Dashboards instance

`POST /1.0/dbaas/logs/{serviceName}/output/opensearch/osd`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#post-dbaas-logs-servicename-output-opensearch-osd

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/create`

Creates an OpenSearch Dashboards instance on the Logs Data Platform service.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `dbaas.logs.OsdCreation`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string | yes | Description |

```json
{
  "description": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | dbaas.logs.Operation | successful operation |
| 403 | object | Error 403 response |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `aliasId` | string (uuid) | read-only | Alias used |
| `createdAt` | string (date-time) | read-only | Operation creation |
| `dashboardId` | string (uuid) | read-only | Dashboard used |
| `encryptionKeyId` | string (uuid) | read-only | Encryption key used |
| `indexId` | string (uuid) | read-only | Index used |
| `inputId` | string (uuid) | read-only | Input used |
| `operationId` | string (uuid) | read-only | Operation ID |
| `osdId` | string (uuid) | read-only | OpenSearch Dashboards used |
| `roleId` | string (uuid) | read-only | Role used |
| `serviceName` | string | read-only | Service name |
| `state` | dbaas.logs.OperationStateEnum | read-only | Operation status — one of `FAILURE`, `PENDING`, `RECEIVED`, `RETRY`, `REVOKED`, `RUNNING`, `STARTED`, `SUCCESS` |
| `streamId` | string (uuid) | read-only | Stream used |
| `subscriptionId` | string (uuid) | read-only | Subscription used |
| `tenantId` | string (uuid) | read-only | Metrics tenant used |
| `tokenId` | string (uuid) | read-only | Token used |
| `updatedAt` | string (date-time) | read-only | Operation last update |

```json
{
  "aliasId": "00000000-0000-0000-0000-000000000000",
  "createdAt": "2024-01-01T12:00:00Z",
  "dashboardId": "00000000-0000-0000-0000-000000000000",
  "encryptionKeyId": "00000000-0000-0000-0000-000000000000",
  "indexId": "00000000-0000-0000-0000-000000000000",
  "inputId": "00000000-0000-0000-0000-000000000000",
  "operationId": "00000000-0000-0000-0000-000000000000",
  "osdId": "00000000-0000-0000-0000-000000000000",
  "roleId": "00000000-0000-0000-0000-000000000000",
  "serviceName": "string",
  "state": "FAILURE",
  "streamId": "00000000-0000-0000-0000-000000000000",
  "subscriptionId": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "tokenId": "00000000-0000-0000-0000-000000000000",
  "updatedAt": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: dbaas.logs.OsdCreation
result = client.post("/dbaas/logs/{serviceName}/output/opensearch/osd",
	description = None, # Description (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: dbaas.logs.OsdCreation
$result = $ovh->post("/dbaas/logs/{serviceName}/output/opensearch/osd", array(
	description => null, // Description (type: string)
));

print_r($result);
?>
```

## Delete an OpenSearch Dashboards instance

`DELETE /1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#delete-dbaas-logs-servicename-output-opensearch-osd-osdid

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/delete`

Deletes the OpenSearch Dashboards instance.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `osdId` | path | string (uuid) | yes | Osd ID |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | dbaas.logs.Operation | successful operation |
| 403 | object | Error 403 response |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `aliasId` | string (uuid) | read-only | Alias used |
| `createdAt` | string (date-time) | read-only | Operation creation |
| `dashboardId` | string (uuid) | read-only | Dashboard used |
| `encryptionKeyId` | string (uuid) | read-only | Encryption key used |
| `indexId` | string (uuid) | read-only | Index used |
| `inputId` | string (uuid) | read-only | Input used |
| `operationId` | string (uuid) | read-only | Operation ID |
| `osdId` | string (uuid) | read-only | OpenSearch Dashboards used |
| `roleId` | string (uuid) | read-only | Role used |
| `serviceName` | string | read-only | Service name |
| `state` | dbaas.logs.OperationStateEnum | read-only | Operation status — one of `FAILURE`, `PENDING`, `RECEIVED`, `RETRY`, `REVOKED`, `RUNNING`, `STARTED`, `SUCCESS` |
| `streamId` | string (uuid) | read-only | Stream used |
| `subscriptionId` | string (uuid) | read-only | Subscription used |
| `tenantId` | string (uuid) | read-only | Metrics tenant used |
| `tokenId` | string (uuid) | read-only | Token used |
| `updatedAt` | string (date-time) | read-only | Operation last update |

```json
{
  "aliasId": "00000000-0000-0000-0000-000000000000",
  "createdAt": "2024-01-01T12:00:00Z",
  "dashboardId": "00000000-0000-0000-0000-000000000000",
  "encryptionKeyId": "00000000-0000-0000-0000-000000000000",
  "indexId": "00000000-0000-0000-0000-000000000000",
  "inputId": "00000000-0000-0000-0000-000000000000",
  "operationId": "00000000-0000-0000-0000-000000000000",
  "osdId": "00000000-0000-0000-0000-000000000000",
  "roleId": "00000000-0000-0000-0000-000000000000",
  "serviceName": "string",
  "state": "FAILURE",
  "streamId": "00000000-0000-0000-0000-000000000000",
  "subscriptionId": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "tokenId": "00000000-0000-0000-0000-000000000000",
  "updatedAt": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X DELETE \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.delete("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->delete("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}");

print_r($result);
?>
```

## Update an OpenSearch Dashboards instance

`PUT /1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}`

Link: https://developers.eu.ovhcloud.com/reference/manage-operate/logs-data-platform/opensearch/opensearch-dashboards/#put-dbaas-logs-servicename-output-opensearch-osd-osdid

**Status:** Stable production version  
**IAM actions:** `ldp:apiovh:output/opensearch/osd/edit`

Updates the OpenSearch Dashboards instance.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `osdId` | path | string (uuid) | yes | Osd ID |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `dbaas.logs.OsdUpdate`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string | yes | Description |

```json
{
  "description": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | dbaas.logs.Operation | successful operation |
| 403 | object | Error 403 response |
| 404 | object | Error 404 response |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `aliasId` | string (uuid) | read-only | Alias used |
| `createdAt` | string (date-time) | read-only | Operation creation |
| `dashboardId` | string (uuid) | read-only | Dashboard used |
| `encryptionKeyId` | string (uuid) | read-only | Encryption key used |
| `indexId` | string (uuid) | read-only | Index used |
| `inputId` | string (uuid) | read-only | Input used |
| `operationId` | string (uuid) | read-only | Operation ID |
| `osdId` | string (uuid) | read-only | OpenSearch Dashboards used |
| `roleId` | string (uuid) | read-only | Role used |
| `serviceName` | string | read-only | Service name |
| `state` | dbaas.logs.OperationStateEnum | read-only | Operation status — one of `FAILURE`, `PENDING`, `RECEIVED`, `RETRY`, `REVOKED`, `RUNNING`, `STARTED`, `SUCCESS` |
| `streamId` | string (uuid) | read-only | Stream used |
| `subscriptionId` | string (uuid) | read-only | Subscription used |
| `tenantId` | string (uuid) | read-only | Metrics tenant used |
| `tokenId` | string (uuid) | read-only | Token used |
| `updatedAt` | string (date-time) | read-only | Operation last update |

```json
{
  "aliasId": "00000000-0000-0000-0000-000000000000",
  "createdAt": "2024-01-01T12:00:00Z",
  "dashboardId": "00000000-0000-0000-0000-000000000000",
  "encryptionKeyId": "00000000-0000-0000-0000-000000000000",
  "indexId": "00000000-0000-0000-0000-000000000000",
  "inputId": "00000000-0000-0000-0000-000000000000",
  "operationId": "00000000-0000-0000-0000-000000000000",
  "osdId": "00000000-0000-0000-0000-000000000000",
  "roleId": "00000000-0000-0000-0000-000000000000",
  "serviceName": "string",
  "state": "FAILURE",
  "streamId": "00000000-0000-0000-0000-000000000000",
  "subscriptionId": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "tokenId": "00000000-0000-0000-0000-000000000000",
  "updatedAt": "2024-01-01T12:00:00Z"
}
```

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: dbaas.logs.OsdUpdate
result = client.put("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}",
	description = None, # Description (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: dbaas.logs.OsdUpdate
$result = $ovh->put("/dbaas/logs/{serviceName}/output/opensearch/osd/{osdId}", array(
	description => null, // Description (type: string)
));

print_r($result);
?>
```
